/*
 Navicat Premium Data Transfer

 Source Server         : wanyoucloudserver
 Source Server Type    : SQLite
 Source Server Version : 3
 Source Schema         : main

 Target Server Type    : SQLite
 Target Server Version : 3
 File Encoding         : 65001

 Date: 12/12/2024 11:37:15
*/

PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for config
-- ----------------------------
DROP TABLE IF EXISTS "config";
CREATE TABLE IF NOT EXISTS "config" (
  "id" INTEGER PRIMARY KEY AUTOINCREMENT,
  "name" TEXT NOT NULL DEFAULT '',
  "value" TEXT NOT NULL DEFAULT '',
  "created" INT DEFAULT 0,
  "updated" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for event
-- ----------------------------
DROP TABLE IF EXISTS "event";
CREATE TABLE IF NOT EXISTS "event" (
 "id" INTEGER PRIMARY KEY AUTOINCREMENT,
 "title" TEXT DEFAULT '',
 "node_path" TEXT NOT NULL DEFAULT '',
 "node_type" INT DEFAULT 0,
 "user_id" INT NOT NULL,
 "user_name" TEXT DEFAULT '',
 "created" INT DEFAULT 0,
 "destination_path" TEXT NOT NULL DEFAULT '',
 "type" INT NOT NULL DEFAULT 0
);

-- ----------------------------
-- Table structure for favorites
-- ----------------------------
DROP TABLE IF EXISTS "favorites";
CREATE TABLE IF NOT EXISTS "favorites" (
 "id" INTEGER PRIMARY KEY AUTOINCREMENT,
 "node_path" TEXT NOT NULL DEFAULT '',
 "title" TEXT NOT NULL DEFAULT '',
 "node_type" INT DEFAULT 0,
 "user_id" INT NOT NULL,
 "user_name" TEXT DEFAULT '',
 "created" INT DEFAULT 0
);

-- ----------------------------
-- Table structure for sqlite_sequence
-- ----------------------------
-- DROP TABLE "sqlite_sequence";
-- CREATE TABLE "sqlite_sequence" (
--   "name",
--   "seq"
-- );

-- ----------------------------
-- Table structure for tasks
-- ----------------------------
DROP TABLE IF EXISTS "tasks";
CREATE TABLE IF NOT EXISTS "tasks" (
 "id" INTEGER PRIMARY KEY AUTOINCREMENT,
 "task_id" TEXT NOT NULL,
 "user_name" TEXT NOT NULL,
 "type" TEXT NOT NULL,
 "status" INT DEFAULT 0,
 "task_path" TEXT NOT NULL,
 "progress" REAL,
 "msg" TEXT,
 "total_size" INTEGER,
 "size_done" INTEGER,
 "eta" TEXT,
 "created" INT DEFAULT 0,
 "updated" INT DEFAULT 0
);

-- ----------------------------
-- Auto increment value for config
-- ----------------------------

PRAGMA foreign_keys = true;
